import matplotlib.pyplot as plt

plt.rcParams['font.sans-serif']=['SimHei'] #避免中文出现乱码
plt.rcParams['axes.unicode_minus']=False

data = [[3710, 3756, 3850, 3880, 3880, 3890, 3920, 3940, 3950, 4050, 4060, 4325],
        [4110, 4157, 4252, 4281, 4285, 4291, 4323, 4345, 4350, 4550, 4560, 4725]]
labels = ['本科生','研究生']
plt.boxplot(data, labels=labels, sym='*')
plt.title("本科生研究生月薪")
plt.ylabel('薪水')
plt.show()
