import matplotlib.pyplot as plt
import jieba
from wordcloud import WordCloud
# （1）读入文本数据
#打开txt文本文件
fr = open(r'C:\\配套资源\\第4章\\三国演义.txt', "r",encoding='UTF-8')
#读取文本文件数据
text = fr.read()
# （2）中文分词
#使用默认精确模式，进行结巴中文分词，生成字符串
cut_text = jieba.cut(text)
#给出符号分隔开分词结果，生成字符串
result = " ".join(cut_text)
# （3）生成词云图
#记录字体所在的路径位置
font = r'C:\Windows\Fonts\simfang.ttf'
wc = WordCloud(# 设置字体路径
               font_path=font,
               # 设置背景色
               background_color='Yellow',
               # 设置背景宽
               width=1400,
               # 设置背景高
               height=1400)
# 产生词云图
wc.generate(result)
# （4）显示词云图
#设置图像的标题
plt.figure("词云图")
#设置以图片形式来显示词云图
plt.imshow(wc)
# 关闭图像坐标系
plt.axis("off")
#显示词云图
plt.show()
#关闭txt文本文件
fr.close()
