import matplotlib.pyplot as plt
import numpy as np
# 准备数据
x = np.arange(0, 2 * np.pi, 0.01)
y1 = np.sin(x)
y2 = np.cos(x)
#设置RC参数
plt.rcParams["lines.linestyle"]="-."        #设置线条样式
plt.rcParams["lines.linewidth"]=3         #设置线条宽度
# 添加画布内容
plt.title('y = sin(x) and y=cos(x)')
plt.xlabel('x')
plt.ylabel('y')
#绘制图形
plt.plot(x, y1,"r")                       #设置线条颜色为红色
plt.plot(x, y2,"k")                       #设置线条颜色为黑色
plt.grid()
plt.show()
