# 导入库
from sklearn.datasets import load_boston
from sklearn.preprocessing import MinMaxScaler

# 导入数据集
boston = load_boston()
X = boston.data[:5, :5]

# 转换器实例化
minmax_scaler = MinMaxScaler()

# 数据归一化
boston_minmax = minmax_scaler.fit_transform(X)
print(boston_minmax)
